Skip to main content
waffle.svg
Domo Knowledge Base

System Requirements

Version 48

 

System Requirements for Web Version

A Web browser is required for using Domo on a desktop or laptop computer. 

Domo supports the two most recent non-beta versions of the following browsers:

  • Google Chrome *

  • Mozilla Firefox * 

  • Microsoft Edge

  • Safari (Mac)

* Recommended


The following settings are also required:

  • JavaScript enabled

  • Popups enabled

  • Cookies enabled

  • Adobe Flash plugin installed and enabled

Internet Explorer 11 is supported but not recommended if other browsers are available for use.

When using IE 11, avoid the following:

System Requirements for iOS Version

For security purposes, Domo supports devices running on iOS 11 (not iPhone 4s). We then typically support the current version of iOS minus 6-12 months. This would mean when iOS 12 comes out, we will support that version and all devices running on it as well as iOS 11 for 6-12 months.

System Requirements for Android Version

Domo currently supports all devices running Android 6.0 (Marshmallow) or later.